Breadcrumbs

Metavault API - Update information mart script

UpdateInformationMartScript - PUT

Path

/api/projects/{projectId}/informationmarts/{informationMartId}/scripts/{scriptId}

Http Method

PUT

Overview

Required permissions

  • Write access to the Distribute module. Distribute WRITE

Request

Request body

JSON
{                          
  "order": 0,
  "columns": [],
  "name": "script01",
  "businessDescription": "business description",
  "technicalDescription": "tech description",
  "tableName": "tablescript01",
  "timeout": "200"
}

Response

Success response (200 OK)

JSON
{                                                                      
  "_embedded": {
    "columns": []
  },
  "name": "script01",
  "id": "9968b6b0-40ff-4fd8-9f71-18947f625f5b",
  "informationMartId": "e7be5369-ad0f-4c18-a850-e4840a581d17",
  "businessDescription": "business description",
  "technicalDescription": "tech description",
  "tableName": "tablescript01",
  "typeTag": "Custom",
  "order": 0,
  "timeout": 200,
  "code": ""
}